import request from '@/utils/request'

// 查询字典类型列表
export function listType(query) {
  return request({
    url: '/system/dicttype/list',
    method: 'get',
    params: query
  })
}

// 查询字典类型详细
export function getType(dicttypeId) {
  console.log( "aaa" ,dicttypeId)
  return request({
    url: '/system/dicttype/info',
    method: 'get',
    params: {dicttypeId:dicttypeId}
  })
}

// 新增字典类型
export function addType(data) {
  return request({
    url: '/system/dicttype/add',
    method: 'post',
    data: data
  })
}

// 修改字典类型
export function updateType(data) {
  return request({
    url: '/system/dicttype/edit',
    method: 'put',
    data: data
  })
}

// 删除字典类型
export function delType(dictId) {
  return request({
    url: '/system/dicttype/delete/' + dictId,
    method: 'delete'
  })
}

// 刷新字典缓存
export function refreshCache() {
  return request({
    url: '/system/dicttype/refresh',
    method: 'delete'
  })
}

// 获取字典选择框列表
export function optionselect() {
  return request({
    url: '/system/dicttype/options/list',
    method: 'get'
  })
}